JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
const brand = await client.brands.retrieve('shop.aloyoga.com');
console.log(brand.id);import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
brand = client.brands.retrieve(
"shop.aloyoga.com",
)
print(brand.id)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.brands.BrandRetrieveParams;
import com.rye.models.brands.BrandRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
BrandRetrieveResponse brand = client.brands().retrieve("shop.aloyoga.com");
}
}curl https://staging.api.rye.com/api/v1/brands/domain/$DOMAIN \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"supported": true,
"marketplace": "AMAZON",
"id": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"status": 123,
"fields": {},
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}Brands
Retrieve brand
Retrieve brand information by domain name
Look up a brand by its domain name (e.g. “aloyoga.com” or “www.amazon.com”). Returns brand information including the marketplace type if the lookup succeeds.
GET
/
api
/
v1
/
brands
/
domain
/
{domain}
JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
const brand = await client.brands.retrieve('shop.aloyoga.com');
console.log(brand.id);import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
brand = client.brands.retrieve(
"shop.aloyoga.com",
)
print(brand.id)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.brands.BrandRetrieveParams;
import com.rye.models.brands.BrandRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
BrandRetrieveResponse brand = client.brands().retrieve("shop.aloyoga.com");
}
}curl https://staging.api.rye.com/api/v1/brands/domain/$DOMAIN \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"supported": true,
"marketplace": "AMAZON",
"id": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"status": 123,
"fields": {},
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}Authorizations
Rye API key
Path Parameters
The domain name to look up (e.g. "aloyoga.com", "www.amazon.com") Represents a valid domain name string.
Pattern:
^(?=.{1,253}$)(?!\-)([a-zA-Z0-9\-]{1,63}(?<!\-)\.)+[a-zA-Z]{2,63}$Example:
"shop.aloyoga.com"
Response
Brand information including marketplace classification
If false, then products from this brand cannot be purchased through the
Sell Anything API.
Indicates what ecommerce platform the brand uses.
Available options:
AMAZON, SHOPIFY, BESTBUY, SEPHORA, UNKNOWN A unique identifier for the brand.
Was this page helpful?

